Loading...
Searching...
No Matches
Clustering Machine

## Macros

#define | STARPU_CLUSTER_MIN_NB
#define | STARPU_CLUSTER_MAX_NB
#define | STARPU_CLUSTER_NB
#define | STARPU_CLUSTER_PREFERE_MIN
#define | STARPU_CLUSTER_KEEP_HOMOGENEOUS
#define | STARPU_CLUSTER_POLICY_NAME
#define | STARPU_CLUSTER_POLICY_STRUCT
#define | STARPU_CLUSTER_CREATE_FUNC
#define | STARPU_CLUSTER_CREATE_FUNC_ARG
#define | STARPU_CLUSTER_TYPE
#define | STARPU_CLUSTER_AWAKE_WORKERS
#define | STARPU_CLUSTER_PARTITION_ONE
#define | STARPU_CLUSTER_NEW
#define | STARPU_CLUSTER_NCORES
#define | starpu_intel_openmp_mkl_prologue

## Enumerations

enum | starpu_cluster_types { STARPU_CLUSTER_OPENMP , STARPU_CLUSTER_INTEL_OPENMP_MKL , STARPU_CLUSTER_GNU_OPENMP_MKL }

## Functions

struct starpu_cluster_machine * | starpu_cluster_machine (hwloc_obj_type_t cluster_level,...)
int | starpu_uncluster_machine (struct starpu_cluster_machine *clusters)
int | starpu_cluster_print (struct starpu_cluster_machine *clusters)
void | starpu_openmp_prologue (void *)
void | starpu_gnu_openmp_mkl_prologue (void *)

## Detailed Description

## Macro Definition Documentation

## STARPU_CLUSTER_MIN_NB

#define STARPU_CLUSTER_MIN_NB

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_MAX_NB

#define STARPU_CLUSTER_MAX_NB

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_NB

#define STARPU_CLUSTER_NB

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_PREFERE_MIN

#define STARPU_CLUSTER_PREFERE_MIN

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_KEEP_HOMOGENEOUS

#define STARPU_CLUSTER_KEEP_HOMOGENEOUS

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_POLICY_NAME

#define STARPU_CLUSTER_POLICY_NAME

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_POLICY_STRUCT

#define STARPU_CLUSTER_POLICY_STRUCT

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_CREATE_FUNC

#define STARPU_CLUSTER_CREATE_FUNC

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_CREATE_FUNC_ARG

#define STARPU_CLUSTER_CREATE_FUNC_ARG

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_TYPE

#define STARPU_CLUSTER_TYPE

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_AWAKE_WORKERS

#define STARPU_CLUSTER_AWAKE_WORKERS

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_PARTITION_ONE

#define STARPU_CLUSTER_PARTITION_ONE

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_NEW

#define STARPU_CLUSTER_NEW

Used when calling starpu_cluster_machine

## STARPU_CLUSTER_NCORES

#define STARPU_CLUSTER_NCORES

Used when calling starpu_cluster_machine

## Enumeration Type Documentation

## starpu_cluster_types

enum starpu_cluster_types

These represent the default available functions to enforce cluster use by the sub-runtime

Enumerator
STARPU_CLUSTER_OPENMP | todo
STARPU_CLUSTER_INTEL_OPENMP_MKL | todo
STARPU_CLUSTER_GNU_OPENMP_MKL | todo

## Function Documentation

## starpu_openmp_prologue()

void starpu_openmp_prologue | ( | void * |  | ) |

Prologue functions